System.Web 2.0.0.0 System.MarshalByRefObject

Each managed application domain contains a static instance of the class, which provides access to application-management functions and application services.

Provides application-management functions and application services to a managed application within its application domain. This class cannot be inherited.

- Constructor

  The constructor initializes the object. The constructor is called only once by the application's object. Calling the constructor more than once will cause an exception to be thrown.

  Initializes a new instance of the class.

  2.0.0.0
- Property
  System.String To be added.

  The application must be running with set to high trust to access the property.

  Gets the unique identifier of the application.

  2.0.0.0
- Property
  System.String To be added. To be added.

  Gets the physical path on disk to the application's directory.

  2.0.0.0
- Property
  System.String To be added.

  The property always returns "/" as the first character of the returned value. If the application is located in the root of the website, the return value is just "/".

  Gets the root virtual path of the application.

  2.0.0.0
- Property
  System.Web.Caching.Cache To be added. To be added.

  Gets the instance for the current application.

  2.0.0.0
- Method
  System.Void

  When a busy registered object finishes its work, it calls the method to signal the object that it has completed processing and to reduce the count of busy objects by one.

  If the busy count is greater than zero, the hosting application will not time out even if there are no pending requests.

  There must be a call to the method for each call to the method.

  Reduces the count of busy objects in the hosted environment by one.

  2.0.0.0
- Method
  System.IDisposable To be added.

  Impersonates the user represented by the application identity.

  An object that represents the Windows user prior to impersonation; this object can be used to revert to the original user's context.

  2.0.0.0
- Method
  System.IDisposable `` To be added.

  Impersonates the user represented by the specified user token.

  An object that represents the Windows user prior to impersonation; this object can be used to revert to the original user's context.

  The handle of a Windows account token. 2.0.0.0
- Method
  System.IDisposable `` ``

  The method impersonates the user that results after applying all identity elements in the configuration settings affecting the specified virtual path. If an identity element is not specified for the virtual path, the method impersonates the specified Windows account.

  Impersonates the user specified by the configuration settings for the specified virtual path, or the specified user token.

  An object that represents the Windows user prior to impersonation; this object can be used to revert to the original user's context.

  The handle of a Windows account token. The path to the requested resource. 2.0.0.0
- Method
  System.Void

  Registered objects signal the object that it is running and to increase the count of busy objects by one.

  If the busy count is greater than zero, the hosting application will not time out even if there are no pending requests.

  There must be a call to the method for each call to the method.

  Increases the count of busy objects in the hosted environment by one.

  2.0.0.0
- Property
  System.Exception To be added. To be added.

  Gets any exception thrown during initialization of the object.

  2.0.0.0
- Method
  System.Object

  This method overrides the method in its base class. It always returns null and prevents a lease from being created that would limit the object's lifetime.

  Gives the object an infinite lifetime by preventing a lease from being created.

  Always null.

  2.0.0.0
- Method
  System.Void

  Use the method to stop a web application domain and remove any objects registered with the method. This method returns immediately, before the shutdown is complete.

  The method is called on each registered object with the passed parameter set to false to allow each registered object to shut down asynchronously. After waiting for the amount of time specified in the shutdownTimeout attribute of the hostingEnvironment configuration element, the method is called again with the passed parameter set to true for each registered object remaining.

  Once all registered objects have finished shutting down, the objects shuts down the application domain.

  Starts shutting down the web application associated with this host and removes registered objects from the system.

  2.0.0.0
- Property
  System.Boolean To be added. To be added.

  Gets a value indicating whether the current application domain is being hosted by an object.

  2.0.0.0
- Method
  System.String `` To be added.

  Maps a virtual path to a physical path on the server.

  The physical path on the server specified by .

  The virtual path (absolute or relative). 2.0.0.0
- Method
  System.Void ``

  The class enables methods outside the current application domain to create, manage, and destroy objects inside the current application domain. The method is used to register previously created objects with the hosting environment. Objects registered with the method must implement the interface.

  To use a registered object, follow these steps:

  Create a new instance of your registered object by calling the method.

  Call a type-specific method to initialize your new object. In the initialization method, call the method to add the object to the list of registered objects.

  Call the method to return the registered object when required.

  When you wish to stop your object, call the method. The method in turn calls the method.

  In the method, have your object call the method.

  Places an object in the list of registered objects for the application.

  The object to register. 2.0.0.0
- Method
  System.Void ``

  The method adds the specified instance to the application's list of virtual-path providers.

  For more information, see the class overview.

  Registers a new instance with the ASP.NET compilation system.

  The new instance to add to the compilation system. 2.0.0.0
- Method
  System.IDisposable

  The method sets the current thread to the culture specified in the globalization element in the application's configuration file.

  Sets the current thread to the culture specified in the application configuration file.

  An object that represents the culture prior to changing; this object can be used to revert to the previous culture.

  2.0.0.0
- Method
  System.IDisposable ``

  The method sets the current thread to the culture that results after applying all globalization elements in the configuration files affecting the specified virtual path.

  Sets the current thread to the culture of the specified virtual path.

  An object that represents the culture prior to changing; this object can be used to revert to the previous culture.

  The path that contains the culture information. 2.0.0.0
- Property
  System.Web.ApplicationShutdownReason To be added. To be added.

  Returns an enumerated value that indicates why the application terminated.

  2.0.0.0
- Property
  System.String To be added. To be added.

  Gets the name of the site.

  2.0.0.0
- Method
  System.Void ``

  The class enables methods outside the current application domain to create, manage, and destroy objects inside the current application domain. The method is used to remove previously registered objects from the hosting environment.

  Removes an object from the list of registered objects for the application.

  The object to remove. 2.0.0.0
- Property
  System.Web.Hosting.VirtualPathProvider To be added.

  When more than one instance is registered, the object manages the call chain. You cannot control the order in which virtual path providers are called.

  Gets the virtual path provider for this application.

  2.0.0.0